/***************************************************************************
 *            usage.c
 *
 *  Fri Oct 24 11:30:05 2003
 *  Copyright  2003  Phil Kett
 *  pkett@genesis-midi.com
 ****************************************************************************/


/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "../include/remsync.h"
#include <stdio.h>

void usage ()
{
	printf("Remsync version %s\n\n", VERSION);
	printf("remsync -S -p port\n");
	printf("remsync -H hostname -p port -s source -d dest\n");
	printf("remsync -h\n\n");
	printf("Options:\n\n");
	printf("\t-h\t\tPrint this help\n");
	printf("\t-H\t\tSpecify hostname of remote server\n");
	printf("\t-S\t\tStart server\n");
	printf("\t-m\t\tStart file system monitoring on Source Directory\n");
	printf("\t-n directory\tDirectory for file notifications\n");
	printf("\t-p port\t\tSpecify port for server or client\n");
	printf("\t-s directory\tSpecify Source directory\n");
	printf("\t-d directory\tSpecify Destination directory\n");
	printf("\t-c config\tSpecify Configuration File\n");
	printf("\t-i ip_list\tComma seperated list of allowed IP addresses\n");
	printf("\n\n");
	exit(0);
}
